Skip to main content
PATCH
/
projects
/
{projectId}
/
platforms
/
{platform}
Update platform metadata
curl --request PATCH \
  --url https://spectrum.photon.codes/projects/{projectId}/platforms/{platform} \
  --header 'Content-Type: application/json' \
  --data '
{
  "autoScale": true
}
'
import requests

url = "https://spectrum.photon.codes/projects/{projectId}/platforms/{platform}"

payload = { "autoScale": True }
headers = {"Content-Type": "application/json"}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({autoScale: true})
};

fetch('https://spectrum.photon.codes/projects/{projectId}/platforms/{platform}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "succeed": true,
  "data": {
    "imessage": {
      "enabled": true,
      "autoScale": true
    },
    "whatsapp_business": {
      "enabled": true
    },
    "voice": {
      "enabled": true,
      "imessage_enabled": true
    },
    "slack": {
      "enabled": true
    }
  }
}

Path Parameters

platform
enum<string>
required
Available options:
imessage,
whatsapp_business,
voice,
slack
projectId
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$

Body

autoScale
boolean

Response

200 - application/json

Response for status 200

succeed
boolean
required
data
object
required